CFLAGS=-Wall

all: read calibrate dctest dactest

serial-util.o: serial-util.h

gpib.o: serial-util.h

zoom.o: serial-util.h

read.o: serial-util.h

mt19937ar.o: mt19937ar.h

calibrate.o: serial-util.h gpib.h zoom.h

dctest.o: serial-util.h gpib.h zoom.h mt19937ar.h

dactest.o: serial-util.h gpib.h zoom.h mt19937ar.h

read: read.o serial-util.o

calibrate: calibrate.o serial-util.o gpib.o zoom.o

dctest: LDFLAGS=-lpthread
dctest: dctest.o serial-util.o gpib.o zoom.o mt19937ar.o

dactest: dactest.o serial-util.o gpib.o zoom.o mt19937ar.o
clean:
	rm -f *.o read calibrate dctest dactest
